Get enterprise login URL
curl --request GET \
--url https://api.diversion.dev/v0/auth/enterpriseimport requests
url = "https://api.diversion.dev/v0/auth/enterprise"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.diversion.dev/v0/auth/enterprise', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"login_url": "<string>",
"provider_name": "<string>",
"api_url": "<string>",
"auth_url": "<string>",
"user_pool_client_id": "<string>",
"ci_user_pool_client_id": "<string>",
"user_pool_id": "<string>",
"user_pool_region": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Authentication
Get enterprise login URL
Get the enterprise login URL for a given organization
GET
/
auth
/
enterprise
Get enterprise login URL
Query Parameters
Organization slug (lowercase alphanumeric and hyphens)
Required string length:
1 - 128Pattern:
^[a-z0-9-]+$Response
Enterprise login URL found
Response containing enterprise login information
URL to redirect user for enterprise login
The name of the SAML provider to use for enterprise login, if it supports Amplify. If provided, this should be preferred over the login_url.
The API URL to use after we authenticate with the SAML provider.
The authentication/identity service URL (e.g. Cognito/authorization domain).
The user pool client ID to use for authentication.
User pool client ID for CLI authentication.
The user pool ID to use for authentication.
The AWS region where the user pool is located.

